package com.xxfc.platform.vehicle.biz;

import com.github.wxiaoqi.security.common.biz.BaseBiz;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.util.Query;
import com.github.wxiaoqi.security.common.vo.PageDataVO;
import com.xxfc.platform.vehicle.entity.BranchCompanyVehicleCount;
import com.xxfc.platform.vehicle.mapper.BranchCompanyVehicleCountMapper;
import com.xxfc.platform.vehicle.pojo.dto.BranchCompanyVehicleCountDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Iterator;
import java.util.List;

@Service
@Slf4j
public class BranchCompanyVehicleCountBiz extends BaseBiz<BranchCompanyVehicleCountMapper, BranchCompanyVehicleCount> {
	@Autowired
	VehicleInformationDownloadBiz vehicleInformationDownloadBiz;
	public ObjectRestResponse add(List<BranchCompanyVehicleCount> branchCompanyVehicleCounts) {
		if (branchCompanyVehicleCounts == null) {
			return ObjectRestResponse.paramIsEmpty();
		}
		Iterator<BranchCompanyVehicleCount> iterator = branchCompanyVehicleCounts.iterator();
		while (iterator.hasNext()) {
			BranchCompanyVehicleCount newValue = iterator.next();
			BranchCompanyVehicleCount oldValue = selectOne(newValue);
			if (oldValue != null) {
				iterator.remove();
			}
		}
		insertMultiSelective(branchCompanyVehicleCounts);
		return ObjectRestResponse.succ();
	}

	public ObjectRestResponse<PageDataVO<BranchCompanyVehicleCount>> findAll(BranchCompanyVehicleCountDTO branchCompanyVehicleCountDTO) {
		vehicleInformationDownloadBiz.add();
		Integer pageNo = branchCompanyVehicleCountDTO.getPage() == null ? 1 : branchCompanyVehicleCountDTO.getPage();
		Integer pageSize = branchCompanyVehicleCountDTO.getLimit() == null ? 10 : branchCompanyVehicleCountDTO.getLimit();
		branchCompanyVehicleCountDTO.setPage(pageNo);
		branchCompanyVehicleCountDTO.setLimit(pageSize);
		Query query = new Query(branchCompanyVehicleCountDTO);
		PageDataVO<BranchCompanyVehicleCount> pageDataVO = PageDataVO.pageInfo(query, () -> mapper.getAllByParam(query.getSuper()));
		return ObjectRestResponse.succ(pageDataVO);
	}


}
